"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTestApp = void 0;
const tslib_1 = require("tslib");
function createWorkspace(runner) {
    return runner.runExternalSchematic('@schematics/angular', 'workspace', {
        name: 'workspace',
        version: '10.0.0',
        newProjectRoot: 'projects',
    });
}
/**
 * Creates a sample workspace with two applications: 'app' (default) and 'second-app'
 */
function createTestApp(runner, appOptions = {}) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let tree = yield createWorkspace(runner);
        tree = yield runner.runExternalSchematic('@schematics/angular', 'application', Object.assign({ name: 'app' }, appOptions), tree);
        return runner.runExternalSchematic('@schematics/angular', 'application', Object.assign({ name: 'second-app' }, appOptions), tree);
    });
}
exports.createTestApp = createTestApp;
//# sourceMappingURL=testing.js.map